// interval 间隔ms采点
function audioWaveData(url, interval) {
    if (url.length <= 0) return;
    console.log("audioWaveData", url, interval);
    return fetch(url)
        .then(response => response.blob())
        .then(blob => blob.arrayBuffer())
        .then(arrayBuffer => {
            let context = new (window.AudioContext || window.webkitAudioContext)();
            return context.decodeAudioData(arrayBuffer).then(audioBuffer => {
                let pointsInterval = audioBuffer.sampleRate / 1000 * interval;
                let waveData = audioBuffer.getChannelData(0);
                let wave = [];
                let amplitude = 0;
                for (let i = 0; i < waveData.length; i++) {
                    amplitude += Math.abs(waveData[i]);
                    if (i % pointsInterval == 0) {
                        wave.push(Math.floor(amplitude * 500 / pointsInterval));
                        amplitude = 0;
                    }
                }
                return wave;
            })
        });
}

export { audioWaveData };